/* Main Styles */

:root {
  --primary-color: #8cc63f;
  --primary-dark: #7ab32e;
  --secondary-color: #00aeef;
  --text-color: #262525;
  --text-light: rgba(255, 255, 255, 0.7);
  --text-dark: #1f1f1f;
  --bg-light: #f9f9f9;
  --bg-cream: #fffbf0;
  --border-color: #d4d4d4;
  --shadow: 0 57px 67px rgba(205, 205, 205, 0.16);
  --transition: all 0.3s ease;
}

/* Container */
.container {
  width: 100%;
  max-width: 1920px;
  margin: 0 auto;
  padding: 0 120px;
}

/* Main Container */
.main-container {
  position: relative;
  overflow: hidden;
  width: 100%;
}

.global-container {
  margin-left: auto;
  margin-right: auto;
  padding-left: 20px;
  padding-right: 20px;
}

.container-sm {
  max-width: 1406px;
}

.container-lg {
  max-width: 1786px;
}

.text-green {
  color: #8abf42;
}

.text-white {
  color: #fff;
}

.text-center {
  text-align: center;
}

.mt-60 {
  margin-top: 3.75rem;
}

/* Buttons */
.btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 16px 32px;
  border-radius: 47px;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  transition: var(--transition);
  cursor: pointer;
}

.btn-primary {
  background-color: var(--primary-color);
  color: #050000;
}

.btn-primary:hover {
  background-color: var(--primary-dark);
}

.btn-outline {
  border: 1px solid #ffffff;
  color: #ffffff;
}

.btn-outline:hover {
  background-color: rgba(255, 255, 255, 0.1);
}

.centered-btn {
  display: block;
  margin: 40px auto 0;
  max-width: fit-content;
}

.full-width {
  width: 100%;
}

/* Section Headers */
.section-header {
  text-align: center;
  margin-bottom: 15px;
}

.section-header h2 {
  font-size: 50px;
  font-weight: 590;
  line-height: 70px;
  display: inline-block;
}

.section-header .regular {
  color: var(--text-color);
  font-weight: 590;
}

.section-header .accent {
  color: var(--primary-color);
  font-weight: 700;
}

.section-description {
  text-align: center;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color);
  margin-bottom: 40px;
  max-width: 1073px;
  margin-left: auto;
  margin-right: auto;
}

/* Hero Section */
.hero-section {
  position: relative;
  min-height: 100vh;
  color: #ffffff;
  overflow: hidden;
  display: flex;
  align-items: center;
}

.hero-section video, .hero-section>img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
}

.hero-section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.659);
  background-size: cover;
  z-index: 1;
}

.about-us-page .hero-section::before {
  background: rgba(0, 0, 0, 0.651);
}

.services-plumbing .hero-section::before {
  background: linear-gradient(180deg, rgba(2, 3, 3, 0.81) 99.99%, rgba(255, 255, 255, 0.9) 100%);
}

.clients-page .hero-section::before {
  background: none;
}

.certification-page .hero-section::before {
  background: none;
}

.contacts-page .hero-section::before {
  background: linear-gradient(180deg, rgba(2, 3, 3, 0.855) 0%, rgba(13, 13, 13, 0.95) 100%);
}

.content-col {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
}

.content-col .hero-text {
  padding-right: 20px;
}

.content-col .desc-content {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.hero-section.service-hero {
  height: 100%;
  min-height: 100vh;
}

.hero-section .img-wrapper {
  margin-block: 3rem;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(49%, 1fr));
  gap: 1rem;
  justify-content: center;
}

.hero-section .img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  max-height: 40rem;
  object-position: center;
}

@media(min-width: 1199px) {
  .content-col .hero-text::before {
    content: "";
    position: absolute;
    top: 0;
    left: 100%;
    width: 1px;
    height: 100%;
    background: #979797;
  }

  .content-col .hero-text {
    max-width: 45rem;
    position: relative;
  }

  .content-col .desc-content {
    flex: 1;
  }
}

.hero-content>* {
  position: relative;
  z-index: 2;
}

/* Header */
.header {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 80px;
  padding-bottom: 40px;
  padding-left: 120px;
  max-width: 1400px;
  width: 100%;
  z-index: 999;
  transition: all 0.4s ease-in-out;
}

.scroll-header {
  background-color: rgba(0, 0, 0, 0.773);
  width: 100%;
  max-width: unset !important;
  padding: 30px 120px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}

.logo {
  width: 254px;
  height: 70px;
}

.logo img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.main-nav ul {
  display: flex;
  gap: 55px;
}

.main-nav li a {
  font-size: 20px;
  font-weight: 400;
  line-height: 24px;
  color: #ffffff;
  transition: var(--transition);
}

.main-nav li.active a {
  color: var(--primary-color);
  font-weight: 700;
}

.main-nav li a:hover {
  color: var(--primary-color);
}

.mobile-menu-toggle {
  display: none;
  background: none;
  border: none;
  cursor: pointer;
  width: 30px;
  height: 24px;
  position: relative;
  z-index: 101;
}

.mobile-menu-toggle span {
  display: block;
  width: 100%;
  height: 3px;
  background-color: white;
  margin: 5px 0;
  transition: all 0.3s ease;
}

/* Hero Content */
.hero-content {
  padding: 0 120px;
  margin-top: 130px;
}

.contacts-page .hero-content {
  width: 100%;
}

.hero-text {
  max-width: 1099px;
}

.hero-text h1 {
  font-size: 80px;
  line-height: 99px;
  margin-bottom: 30px;
}

.hero-text-light {
  font-weight: 600;
  color: var(--text-light);
}

.hero-text-bold {
  font-weight: 900;
  color: #ffffff;
  display: block;
}

.hero-text p {
  font-size: 24px;
  line-height: 28.6px;
  margin-bottom: 35px;
}

.hero-buttons {
  display: flex;
  gap: 20px;
}

/* About Section */
.about-section {
  position: relative;
  background: url(/assets/elegant-white-background-with-gray-abstract-shapes\ 1.png) no-repeat center;
  background-size: cover;
  padding-top: 66px;
  z-index: 0;
}

.about-section::before {
  content: '';
  position: absolute;
  inset: 0;
  background-color: #F8F8F8E5;
  z-index: 1;
}

.about-section>* {
  position: relative;
  z-index: 2;
}

.about-images {
  display: flex;
  margin-left: auto;
  margin-right: auto;
  margin-top: 40px;
  width: 100%;
  justify-content: center;
  flex-wrap: wrap;
  gap: 15px;
}

.about-image {
  width: 390px;
  height: 409px;
  overflow: hidden;
}

.about-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Services Section */
.services-section {
  padding: 120px 0;
}

.services-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin-bottom: 20px;
  gap: 20px;
}

.service-card {
  position: relative;
  max-width: 547px;
  width: 100%;
  max-height: 625px;
  overflow: hidden;
  transition: all 0.4s ease-in-out;
}

.service-card:hover {
  box-shadow: rgba(0, 0, 0, 0.16) 0px 10px 36px 0px, rgba(0, 0, 0, 0.06) 0px 0px 0px 1px;
  scale: 1.03;
}

.service-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.service-card h3 {
  position: absolute;
  bottom: 25px;
  width: 100%;
  text-align: center;
  color: #ffffff;
  font-size: 22px;
  line-height: 26px;
}

/* Why Choose Us Section */
.why-choose-section {
  background: rgba(255, 252, 244, 0.96);
  padding: 60px 0;
}

.features-grid {
  display: flex;
  gap: 20px;
}

.feature-card {
  position: relative;
  max-width: 405px;
  width: 100%;
  background: rgba(255, 255, 255, 0.5);
  border-radius: 25px;
  box-shadow: var(--shadow);
  padding: 109px 24px 24px;
}

.feature-icon {
  position: absolute;
  top: 40px;
  left: 24px;
}

.icon-bg {
  width: 52.5px;
  height: 52.5px;
  border-radius: 50%;
}

.icon-inner {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.feature-card h3 {
  font-size: 24px;
  font-weight: 590;
  line-height: 39px;
  letter-spacing: 0.6px;
  margin-bottom: 16px;
}

.accent-blue {
  color: rgba(0, 174, 239, 0.9);
  font-weight: 860;
}

.feature-card p {
  font-size: 16px;
  line-height: 27.2px;
  letter-spacing: 0.32px;
}

/* Industries Section */
.industries-section .section-header, .industries-section .section-description {
  text-align: left;
  max-width: unset;
}

.industries-section .centered-btn {
  margin-top: 150px;
}

.section-offset-grid {
  padding-block: 6rem;
  background: url('./assets/b78db54e82089f5dbb9be64292c567ca0827f903.jpg') no-repeat center/cover;
}

.section-offset-wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 1.5rem;
  justify-content: center;
  margin-block: 3rem;
}

.section-offset-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.section-offset-item {
  display: flex;
  flex-direction: column;
}

.section-offset-item h4 {
  margin-block: 1rem;
  text-align: center;
}

/* Products Section */

.products-section .section-header, .products-section .section-description {
  text-align: left;
  max-width: unset;
}

.products-section {
  padding: 70px 0 120px;
}

.products-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin-bottom: 24px;
}

.product-card {
  max-width: 547px;
  width: 100%;
  background: var(--bg-light);
  padding: 16px;
  position: relative;
}

.services-electrical .product-card {
  background: none;
}

.product-image {
  max-width: 515px;
  width: 100%;
  max-height: 374px;
  overflow: hidden;
  margin-bottom: 16px;
}

.services-electrical .product-image {
  margin-bottom: 24px;
}

.product-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.product-card h3 {
  font-size: 30px;
  font-weight: 590;
  margin-bottom: 10px;
}

.services-electrical .product-card h4 {
  font-weight: 590;
  margin-bottom: 10px;
}

.product-card p {
  font-size: 16px;
  line-height: 27.2px;
  letter-spacing: 0.32px;
  margin-bottom: 10px;
}

.read-more {
  display: inline-flex;
  align-items: center;
  gap: 9px;
  color: var(--primary-color);
  font-weight: 700;
  font-size: 16px;
}

.arrow-right {
  display: inline-block;
  width: 7.5px;
  height: 12.5px;
  background: url(/assets/arrow-right.png) no-repeat center;
  background-size: contain;
}

/* Our Clients Section */
.our-clients-section {
  padding-block: 6rem;
}

.tabs-container {
  width: 100%;
  display: flex;
  gap: 24px;
}

.tabs {
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
  max-width: 368px;
  border: 1px solid #F6F6F6;
}

.tab {
  flex: 1;
  padding: 12px 20px;
  cursor: pointer;
  background: #F6F6F6;
  font-size: 1.5rem;
  line-height: 1.4;
  transition: background-color ease-in-out 0.3s;
}

.tab:hover {
  background: #ddd;
}

.tab.active {
  background: #fff;
  color: #00AEEF;
  font-weight: bold;
}

.tab-content {
  display: none;
  padding: 50px;
  flex-grow: 1;
  height: 680px;
  overflow: auto;
  background-color: #F7FAF4;
}

.tab-content.active {
  display: block;
}

.clients-logos {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 25px;
}

.clients-logos img {
  width: 250px;
  height: auto;
  object-fit: contain;
  background: #fff;
}

/* Testimonials Section */
.testimonials-section {
  padding-bottom: 120px;
}

.testimonials-section .section-header, .testimonials-section .section-description, .our-clients-section .section-header, .our-clients-section .section-description {
  text-align: left;
  max-width: unset;
}

.swiper {
  overflow: visible !important;
}

.testimonials-slider {
  padding: 40px 5%;
  overflow: visible;
}

.swiper-slide {
  opacity: 0.4;
  transform: scale(0.9);
  transition: all 0.3s ease;
}

.swiper-slide-active {
  opacity: 1 !important;
  transform: scale(1) !important;
}

.testimonial-card {
  background: #F7F7F7;
  border-radius: 12px;
  padding: 24px;
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0.1);
  height: 100%;
  display: flex !important;
  justify-content: space-between;
}

.testimonial-image img {
  height: 302px;
  width: 277px;
  border-radius: 32px;
  object-fit: cover;
  margin-bottom: 10px;
}

.testimonial-content {
  width: 60%;
  padding-left: 25px;
}

.testimonial-content p {
  font-size: 15px;
  line-height: 1.5;
  color: #333;
}

.testimonial-author h4 {
  margin: 10px 0 4px;
  font-size: 16px;
  font-weight: bold;
}

.testimonial-author p {
  font-size: 14px;
  color: #777;
}

.quote-icon {
  margin-left: auto;
  margin-bottom: 20px;
}

.dot {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: #d4d4d4;
  cursor: pointer;
}

.dot.active {
  background-color: var(--primary-color);
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

/* Certifications Section */
.certifications-section {
  padding: 120px 0;
  background: #fbfbfb;
}

.certifications-grid {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 30px;
  margin-top: 60px;
}

.certification-card {
  display: flex;
  justify-content: center;
  align-items: center;
}

.certification-card img {
  width: 100%;
  object-fit: cover;
  min-width: 300px;
}

/* Contact Section */
.contact-section {
  padding: 84px 0;
  background: var(--bg-cream);
  position: relative;
  overflow: hidden;
}

.contact-content {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 50px;
}

.contacts-page .contact-content {
  border-top: 1px solid #4C4A4A;
  padding-top: 120px;
  padding-bottom: 120px;
}

.contact-text {
  max-width: 1133px;
  width: 50%;
  height: 100%;
}

.contacts-page .contact-text {
  margin-top: auto;
  margin-bottom: auto;
}

.contact-text h2 {
  font-size: 60px;
  font-weight: 590;
  line-height: 81.6px;
  letter-spacing: 1.2px;
  text-transform: capitalize;
  color: var(--text-color);
}

.contacts-page .contact-text h2 {
  color: #ffffff;
}

.contacts-page .contact-info {
  display: flex;
  flex-direction: column;
  gap: 50px;
}

.contact-text .accent {
  color: var(--primary-color);
  font-weight: 700;
}

.contact-form-container {
  width: 877px;
  background: rgba(226, 226, 226, 0.4);
  border-radius: 52px;
  padding: 53px 69px;
}

.contacts-page .contact-form-container {
  background: rgba(227, 227, 227, 0.07);
}

.contact-form {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.form-group {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.form-group label {
  font-size: 16px;
  font-weight: 400;
  line-height: 28px;
  color: rgba(80, 81, 79, 0.8);
  letter-spacing: -0.4px;
}

.contacts-page .form-group label {
  color: #ffffff;
}

.form-group input,
.form-group select,
.form-group textarea {
  padding: 13px 19px;
  background: #ffffff;
  border: 1px solid var(--border-color);
  border-radius: 8px;
  font-size: 14px;
  line-height: 24px;
  color: rgba(80, 81, 79, 0.6);
  letter-spacing: -0.3px;
}

.contacts-page .form-group input,
.contacts-page .form-group select,
.contacts-page .form-group textarea {
  color: rgba(80, 81, 79, 0.6);
}

.form-group textarea {
  height: 144px;
  resize: none;
}

/* Footer */
.footer {
  padding: 120px 0 60px;
}

.footer-logo {
  margin-bottom: 52px;
}

.footer-content {
  display: flex;
  justify-content: space-between;
  margin-bottom: 60px;
}

.footer-section {
  max-width: 354px;
}

.footer-section h3 {
  color: var(--primary-color);
  font-size: 24px;
  font-weight: 590;
  line-height: 27px;
  margin-bottom: 16px;
}

.footer-section p,
.footer-section li {
  font-size: 20px;
  font-weight: 510;
  line-height: 38px;
  letter-spacing: 0.4px;
  color: var(--text-color);
}

.footer-section ul {
  display: flex;
  flex-direction: column;
  gap: 1px;
}

.footer-section li a:hover {
  color: var(--primary-color);
}

.icon-address,
.icon-phone,
.icon-email {
  display: inline-block;
  width: 28px;
  height: 28px;
  margin-right: 6px;
  vertical-align: middle;
}

.icon-address {
  background: url(/assets/icon-address.png) no-repeat center;
  background-size: contain;
}

.icon-phone {
  background: url(/assets/icon-phone.png) no-repeat center;
  background-size: contain;
}

.icon-email {
  background: url(/assets/icon-email.png) no-repeat center;
  background-size: contain;
}

.mt-4 {
  margin-top: 24px;
}

.footer-divider {
  height: 1px;
  background: #E9E9E9;
  background-size: cover;
  margin-bottom: 61px;
}

.footer-bottom {
  text-align: center;
}

.footer-bottom p {
  font-size: 15px;
  line-height: 26px;
  color: var(--text-color);
}